SeerMarTech 文档控制台

Trustpilot 评价(异步)

异步抓取 Trustpilot 平台商家评价,适用于出海品牌口碑监控。

Step 1:提交任务

POST/v3/business_data/trustpilot/reviews/task_post
参考价:¥0.8000 / 次(实际以请求返回为准)
参数类型必填说明
domainstringTrustpilot 域名,如 example.com
depthinteger抓取评价数量
sort_bystringrecency / rating

curl

curl -X POST "https://api.seermartech.cn/v3/business_data/trustpilot/reviews/task_post" \ -H "Authorization: Bearer smt_live_YOUR_KEY" \ -H "Content-Type: application/json" \ -d '[{"domain": "example.com", "depth": 50}]'

Python

import requests resp = requests.post( "https://api.seermartech.cn/v3/business_data/trustpilot/reviews/task_post", headers={"Authorization": "Bearer smt_live_YOUR_KEY"}, json=[{"domain": "example.com", "depth": 50}], timeout=60, ) print("task_id:", resp.json()["tasks"][0]["id"])

TypeScript

const resp = await fetch( "https://api.seermartech.cn/v3/business_data/trustpilot/reviews/task_post", { method: "POST", headers: { Authorization: "Bearer smt_live_YOUR_KEY", "Content-Type": "application/json", }, body: JSON.stringify([{ domain: "example.com", depth: 50 }]), } ); console.log((await resp.json()).tasks[0].id);

Step 2:获取结果

GET/v3/business_data/trustpilot/reviews/task_get/{task_id}

业务场景